@font-face {
  font-family: "FKGrotesk-Medium";
  src: url("FKGrotesk-Medium.woff2");
}

:root {
  --color-primary:   #ff3562;
  --color-secondary: #d9e76c;
}


body {
  font-family: "FKGrotesk-Medium", sans-serif;

  margin: 0;

  color: var(--color-primary);

  text-shadow:  0 0 2px var(--color-secondary),
                0 0 6px var(--color-secondary),
                0 0 12px var(--color-secondary); 

}

.round-3-font {
  font-family: "FKGrotesk-Medium", sans-serif;
  font-feature-settings: "ss06" 1;
  font-variant-alternates: stylistic-set(6);  /* wider browser support */
}

/* -------------------------------- headings -------------------------------- */

h2 {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: clamp(0.1em, calc((100vw - 350px) * 0.3), 0.5em);
  margin-top: 3rem;
  margin-bottom: 1rem;
}

.arrow {
  display: inline-block;
}

h3 {
  margin-bottom: 0.25em;
}

h4 {
  margin-bottom: 0.25em;
}


/* ---------------------------------- hero ---------------------------------- */

.hero {
  background-image: linear-gradient(
      to bottom, 
      transparent 0%,
      var(--color-primary) 40%,
      transparent 50%,
      var(--color-primary) 85%,
      transparent 95%
    ), url("img/clouds.jpeg");
  background-repeat: no-repeat;
  background-size: cover;
  padding: 4vw 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.logo {
  width: 50vw;
}

/* --------------------------------- general -------------------------------- */

.main-sec{
  padding: 0 6.25vw;
  background: none;
}

.gradient_background::before {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: -1;

  background-image: linear-gradient(
    to top,
    var(--color-primary),
    var(--color-secondary) 66%
  );
  background-repeat: no-repeat;
  background-size: cover; 
}

/* ------------------------------ date & loc ------------------------------ */

.date-and-loc{
  text-align: justify;
  text-align-last: justify;
  font-size: 12vw;
  margin-top: 0;
  margin-bottom: 0.3em;

  text-shadow:  0 0 5px var(--color-secondary),
                0 0 10px var(--color-secondary),
                0 0 30px var(--color-secondary); 
}
.date-and-loc p::after {
  content: "";
  display: inline-block;
  width: 100%;
  height: 0;
}

/* --------------------------------- line up -------------------------------- */

.lineup-item {
  display: block;
  width: fit-content;
  margin: 0.5em 0;
  white-space: nowrap;
  /* font-size: max(1rem, 2vw); */
}

.lineup-item a {
  color: var(--color-primary);
}

.lineup-item a::after{
  content: "↗";
}

.lineup-name {
  font-weight: 700;
  font-size: max(1.25rem, 4vw);
}

/* h2 is child 1, so the first <a> is child 2: */
.lineup-item:nth-child(2) { margin-left:  7%; }
.lineup-item:nth-child(3) { margin-left: 70%; }
.lineup-item:nth-child(4) { margin-left:  22%; }
.lineup-item:nth-child(5) { margin-left: 55%; }


/* --------------------------------- tickets -------------------------------- */

.tickets table {
  display: block;
  width: fit-content;
  margin: 1em auto;
}

.tickets td {
  padding: 0 0.5em;
}

.table_symbols {
  text-align: right;
}

#presale_link {
  display: block;
  width: fit-content;
  margin: 1em auto;
}

#eventfrog_button {
  display: block;
  margin: 0.5em auto;
  width: fit-content;
}

/* ---------------------------------- infos --------------------------------- */

.info_item h3::before {
  content: "→ ";
}

.info_item h4::before {
  content: "→ → ";
}

.info-link {
  color: var(--color-primary);
  font-weight: 600;
}


/* --------------------------------- photos --------------------------------- */

.photo_row {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 3.125vw;
}

.fleximg {
  width: 100%;
}

/* -------------------------------- supporter ------------------------------- */

.supporter {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1rem 0;
}

.supporter a {
  display: inline-block;
}

.supporter-logo {
  width: 35vw;
  padding: 2.5vw;               /* Schutzraum related; GVB aspect ratio -> 0.114 * 35vw (width)     */
  box-sizing: content-box;
}

/* #main-supporter-logo {
  width: 60vw;
} */

/* --------------------------------- footer --------------------------------- */

footer {
  background-image: linear-gradient(
      to bottom, 
      var(--color-primary) 0%,
      transparent 100%
    ), url("img/clouds.jpeg");
  background-repeat: no-repeat;
  background-size: cover;
  padding: 6.25vw;
  text-align: right;
}


/* -------------------------------------------------------------------------- */
/*                               Desktop Version                              */
/* -------------------------------------------------------------------------- */

@media screen and (min-width: 600px) {

  .photo_row {
    grid-template-columns: repeat(2, 1fr);
  }
}
